org.wildfly.swarm.config.ejb3

## Class RemoteService<T extends RemoteService<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.RemoteService<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class RemoteService<T extends RemoteService<T>>
      extends HashMap

  The EJB3 Remote Service
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteService.RemoteServiceResources` Child mutators for RemoteService

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `channelCreationOptions(ChannelCreationOptions value)` Add the ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(ChannelCreationOptionsSupplier supplier)` Install a supplied ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(List<ChannelCreationOptions> value)` Add all ChannelCreationOptions objects to this subresource
    `T` | `channelCreationOptions(String childKey)` Create and configure a ChannelCreationOptions object to the list of subresources
    `T` | `channelCreationOptions(String childKey, ChannelCreationOptionsConsumer consumer)` Create and configure a ChannelCreationOptions object to the list of subresources
    `String` | `cluster()` The name of the clustered cache container which will be used to store/access the client-mappings of the EJB remoting connector's socket-binding on each node, in the cluster
    `T` | `cluster(String value)` The name of the clustered cache container which will be used to store/access the client-mappings of the EJB remoting connector's socket-binding on each node, in the cluster
    `String` | `connectorRef()` The name of the connector on which the EJB3 remoting channel is registered
    `T` | `connectorRef(String value)` The name of the connector on which the EJB3 remoting channel is registered
    `Boolean` | `executeInWorker()` If this is true the EJB request will be executed in the IO subsystems worker, otherwise it will dispatch to the EJB thread pool
    `T` | `executeInWorker(Boolean value)` If this is true the EJB request will be executed in the IO subsystems worker, otherwise it will dispatch to the EJB thread pool
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `RemoteService.RemoteServiceResources` | `subresources()`
    `String` | `threadPoolName()` The name of the thread pool that handles remote invocations
    `T` | `threadPoolName(String value)` The name of the thread pool that handles remote invocations

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RemoteService

          public RemoteService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemoteService.RemoteServiceResources subresources()

    - #### channelCreationOptions

          public T channelCreationOptions(List<ChannelCreationOptions> value)

      Add all ChannelCreationOptions objects to this subresource
      Parameters:
        `value` - List of ChannelCreationOptions objects.
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(ChannelCreationOptions value)

      Add the ChannelCreationOptions object to the list of subresources
      Parameters:
        `value` - The ChannelCreationOptions to add
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(String childKey,
                                          ChannelCreationOptionsConsumer consumer)

      Create and configure a ChannelCreationOptions object to the list of subresources
      Parameters:
        `key` - The key for the ChannelCreationOptions resource
        `config` - The ChannelCreationOptionsConsumer to use
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(String childKey)

      Create and configure a ChannelCreationOptions object to the list of subresources
      Parameters:
        `key` - The key for the ChannelCreationOptions resource
      Returns:
        this

    - #### channelCreationOptions

          public T channelCreationOptions(ChannelCreationOptionsSupplier supplier)

      Install a supplied ChannelCreationOptions object to the list of subresources

    - #### cluster

          public String cluster()

      The name of the clustered cache container which will be used to store/access the client-mappings of the EJB remoting connector's socket-binding on each node, in the cluster

    - #### cluster

          public T cluster(String value)

      The name of the clustered cache container which will be used to store/access the client-mappings of the EJB remoting connector's socket-binding on each node, in the cluster

    - #### connectorRef

          public String connectorRef()

      The name of the connector on which the EJB3 remoting channel is registered

    - #### connectorRef

          public T connectorRef(String value)

      The name of the connector on which the EJB3 remoting channel is registered

    - #### executeInWorker

          public Boolean executeInWorker()

      If this is true the EJB request will be executed in the IO subsystems worker, otherwise it will dispatch to the EJB thread pool

    - #### executeInWorker

          public T executeInWorker(Boolean value)

      If this is true the EJB request will be executed in the IO subsystems worker, otherwise it will dispatch to the EJB thread pool

    - #### threadPoolName

          public String threadPoolName()

      The name of the thread pool that handles remote invocations

    - #### threadPoolName

          public T threadPoolName(String value)

      The name of the thread pool that handles remote invocations

Copyright © 2018 JBoss by Red Hat. All rights reserved.